I need help with the new version

windows

#1

I need help, I saw on Brave’s Github page that a new version is out but i have not gotten it yet, how can i get it?


#2

If you have the new version already and only want to update, open settings, go to your About Brave page and the browser should initiate auto-updating.


#3

I am trying to DL the latest version of Brave, but it is telling me I have to update FireFox? I really do not understand this. Yet if I don’t update my current version will not be supported? Can you please help me this? I should give up the internet TOTALLY!


#4

Never give up! :slight_smile:
Simple steps for you:

  1. Go to this site
    https://brave.com/download
  2. Download/install
  3. See these instructions for importing your old Brave data into the new installation

Let me know if you have any other questions!


#5

This makes no sense to me why I have to update one to update the other? Can you explain why? Importing? I don’t want to import anything, Brave already has it, I don’t get it I am sorry


#6

Can you try to re-explain what the issue is then?
There are two “Brave’s” right now.
One is Muon - this is old, going to your About Brave page will display version number 0.26.0 or less.
The other is Core - this is new, and looks like this:

Which do you need help with? What help do you need?


#7

“The new Brave Browser has arrived!”
" Experience an updated toolbar layout, full Chrome extension support, and contribute to your favorite content creators with Brave Rewards (previously Brave Payments).

Please note: Your current version of Brave (0.25.304) will no longer be supported. To avoid security risks, migrate to the new Brave as soon as possible."
This is what it says, Then in the bottom right hand corner it says “Download the New Brave”
So I tried and this is where I am at right now… : ( sorry for this confusion


#8

So download the new Brave :slight_smile:
The old one will remain on your machine for you to use and/or store your data. The new build is a stand-alone install because of reasons (more than happy to dive into this with you if you’d like), so you’ll have two different versions on your machine

I highly suggest downloading and using the new build.


#9

Okay I did DL it, then I got the pop up to update FF. This is what is weird, why update FF?
I will try one more time to get it to work, if it tells me I have to update FF first I will not do, my computer has enough junk on it now.
I tried it again and it reads: “Installer failed to uncompress aechive. Please download Brave again.” So I clicked on “Help” and that is what opened up Firefox to update. I think I you will understand now. I hope. : )


#10

This is what i see when i initiate The Auto Update :


#11

Okay it is not what I see, what I see I wrote typed it all down exactly as I saw it. I copied and pasted it. I guess you don’t understand what I am telling you that my pc told me. I am sorry this isn’t working. I guess I have to find another browser. : (


#12

@HappyCamper, please pay attention to whos replying to whom.
Are you using Firefox to download Brave? If so, that means Firefox - as a totally, completely separate, unrelated issue to Brave - needs to be updated.

The lack of this update may be causing issues with your Brave download. You can either update Firefox, then download Brave and install or you can use a different browser - sounds like you’re on Windows so probably Microsoft Edge - and download Brave . that way.

@MisterTeeXD,
Ensure that all Brave instances/processes are closed when updating. Close Brave and try again. If this doesn’t work, navigate to add/remove programs - I don’t want you to uninstall anything, but I would like to confirm the version number of the one you have installed. The version of the install should be displayed in the Add/Remove box when you click on it. Let me know what you find.


#13

The version number that i have installed is : 71.0.58.16


#14

I went to add/remove like you said and I see: 0.25.304 This what you need?


#15

@HappyCamper, that instruction was not addressed to you. Please reread what I mentioned above :point_up: :

@HappyCamper, please pay attention to whos replying to whom.
Are you using Firefox to download Brave? If so, that means Firefox - as a totally, completely separate, unrelated issue to Brave - needs to be updated.

The lack of this update may be causing issues with your Brave download. You can either update Firefox, then download Brave and install or you can use a different browser - sounds like you’re on Windows so probably Microsoft Edge - and download Brave that way.


#16

I have never used Edge… this is all so complicated. I did upgrade FF, and it didn’t help. It seems Brave down loaded, but:
“Installer failed to uncompress archive. Please DL Brave again.” This is what came up when I tried again to DL Brave. It seems like the archives from FF, what I used before may be the problem? I just don’t know. : (
The only thing FF has to do with Brave was my bookmarks and things that was imported from FF to Brave


#17

@HappyCamper, what operating system are you using? Windows 10 or 7?


#18

I just want a private browser I do not wish to get involved in any Brave matters or interests
If this Browser cannot or will not provide please let us know upfront


#19

Sorry I had to go, I am using Windows 10, unfortunately.
Mattches, hope your not mad at me. I will leave page open for a while. When I go to sleep I will let you know.


#20

Windows 10… Thanks again for trying to help.